# thread.h File Reference

Base of all threads. More...

Go to the source code of this file.

## Data Structures
class | OTTDThreadExitSignal
class | ThreadObject
| A Thread Object which works on all our supported OSes. More...
class | ThreadMutex
| Cross-platform Mutex. More...
## Typedefs
typedef void(* | OTTDThreadFunc )(void *)

## Detailed Description

Base of all threads.

Definition in file thread.h.